@import 'utilities.css';

:root{
    --primary:#2eb3ff;
    --dark:#161616;
    --pure:#ffffff;
    --turnary:#898989;
    --light:#F2F2F2;
    --secondary: #070606;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-font-smotthing:antialised;
}

body{
    font-family: 'Poppins',sans-serif;
}
.site-main-wrapper{
    width: 100vw;
}

html{
    scroll-behavior: smooth;
}

header{
    background-color: var(--dark);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 70% 89%, 0 100%);
}

.mobile-logo{
    position: absolute;
    z-index: 12;
    top: 30px;
    left: 25px;
    display: none;
}

.container{
    max-width: 1152px;
    padding: 0 15px;
    margin: 0 auto;
}

header nav .left a{
    color: var(--pure);
    text-decoration: none;
    margin-right: 2rem;
    text-transform: uppercase;
    transition: all 0.3s ease;
}

header nav .left a:hover{
    color: var(--primary);
}

header nav{
    padding: 2rem 0;
}

header nav .branding{
    margin-right: 3rem;
}

.hero{
    padding: 3rem 0;
}

.hero .left img{
    width: 400px;
}

.hero .right{
    color: var(--pure);
    margin-top: -7rem;
}

.hero .right h6{
    font-size: 1.6rem;
    color: var(--primary);
    margin-bottom: 0.5rem;
}

.hero .right h1{
    font-size: 4rem;
    /* text-align: center; */
    font-weight: 100;
    line-height: 1.2;
    margin-bottom: 2rem;
}

.hero .right h1 span{
    color: var(--primary);
}

.hero .right p{
    line-height: 1.9;
    text-align: justify;
    margin-bottom: 2rem;
}

section{
    padding: 6rem 0;
}

.about .about-img{
    height: 450px;
}

.about h1{
    margin-bottom: 1rem;
    font-size: 1.6rem;
    font-weight: 400;
}

.about h1 span{
    color: var(--primary);
}

.about h3{
    font-size: 1rem;
    margin-bottom: 1rem;
    font-weight: 400;
}

.about p{
    font-family: 'lato' sans-serif;
    color: var(--turnary);
    line-height: 1.9rem;
    margin-bottom: 2rem;
}

.about .social{
    display: flex;
}

.about .social a{
    background: var(--light);
    border: 3px solid black;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    margin-right: 0.6rem;
    transition: all 0.3s ease;
}

.about .social a:hover{
    background: var(--primary);
}

.about .social a img{
    width: 100%;
    height: 100%;
    padding: 0.3rem;
}

.services{
    background: var(--light);
}


.section-heading{
    color: var(--secondary);
    text-align: center;
    margin-bottom: 1rem;
    line-height: 0.5;
}

.section-heading span{
    color: var(--primary);
}

.section-heading + p{
    color: var(--turnary);
    font-family: 'lato' sans-serif;
    margin-bottom: 8rem;
    text-align: center;
}

.services .card-wrapper{
    display: grid;
    /* grid-template-columns: 1fr 1fr 1fr; */
    grid-template-columns: repeat(3, 1fr);
    grid-column-gap: 2rem;
    grid-row-gap: 6rem;
}

.services .card-wrapper .card{
    background: var(--pure);
    padding: 3rem 2rem;
    position: relative;
    padding-top: 5rem;
    text-align: center;
    transition: all .5s ease;
    /* transform: translateX(-100%); */
}

.services .card-wrapper .card img{
    width: 100px;
    background: var(--primary);
    padding: 15px;
    position: absolute;
    top: -3.5rem;
    left: 50%;
    transform: translateX(-50%);
}

.services .card-wrapper .card h2{
    font-weight: 600;
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

.services .card-wrapper .card p{
    font-family: 'lato' sans-serif;
    color: var(--turnary);
    line-height: 1.6;
    text-align: justify;
}

.services .card-wrapper .card:hover{
    
    background: var(--dark);
}

.services .card-wrapper .card:hover h2{
    color: var(--pure);
}

section.freelancer{
    text-align: center;
    background: linear-gradient(rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url(../images/camera.png);
    color: var(--pure);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 67% 80%, 0 100%);
    padding-bottom: 15rem;
}

section.freelancer h1{
    font-size: 2rem;
    margin-bottom: 0.5rem;
}

section.freelancer p{
    margin-bottom: 2rem;
    font-family: 'lato' sans-serif;   
}

section.work{
    background: var(--light);
    margin-top: 6rem;
}

section.work .card-wrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 2rem;
}

section.work .card-wrapper .card{
    position: relative;
    height: 250px;
}

section.work .card-wrapper .card img{
    height: 100%;
    width: 100%;
}


section.work .card-wrapper .card .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(61, 207, 211, 0.9);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--light);
    opacity: 0;
    transition: all .5s ease;
}

section.work .card-wrapper .card:hover .overlay{
    opacity: 1;
}

section.work .card-wrapper .card .overlay a{
    color: var(--secondary);
    text-decoration: none;
}

section.blog{
    background: var(--dark);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 67% 90%, 0 100%);
    padding-bottom: 12rem;
}

section.blog .section-heading{
    color: var(--pure);
}

section.blog .card-wrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 3rem;
}

section.blog .card-wrapper .card{
    background: var(--pure);
}

section.blog .card-wrapper .card .card-content{
    padding: 1rem 2rem;
}

section.blog .card-wrapper .card .card-content h1{
    font-size: 1rem;
    font-weight: 600;
}

section.blog .card-wrapper .card .card-content a{
    color: var(--secondary);
    text-decoration: none;
}

section.blog .card-wrapper .card .card-content a:hover{
    color: var(--primary);
}

section.blog .card-wrapper .card .card-content span{
    color: var(--turnary);
    font-size: 0.8rem;
}

section.blog .card-wrapper .card .card-content p{
    font-family: 'lato' sans-serif;
    color: var(--turnary);
    margin-top: 1rem;
    margin-bottom: 1rem;
    text-align: justify;
}

section.blog .card-wrapper .card .card-content a.read-more{
    font-size: 0.8rem; 
}

section.contact .card-wrapper{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 3rem;
}

section.contact .card-wrapper .card{
    text-align: center;
}

section.contact .card-wrapper .card img{
    margin-bottom: 3rem;
    width: 150px;
}

section.contact .card-wrapper .card h1{
    font-weight: 600;
    margin-bottom: 1rem;
}

section.contact .card-wrapper .card h6{
    font-size: 1rem;
    color: var(--turnary);
    font-weight: 600;
    margin-bottom: 6rem;
}

section.contact input{
    padding: 0.5rem;
    margin-bottom: 2rem;
    font-size: 0.9rem;
    border: 2px solid var(--secondary);
}

section.contact textarea{
    padding: 0.5rem;
    font-size: 16px;
    margin-bottom: 2rem;
    border: 2px solid var(--secondary);
}

section.contact input:focus{
    outline: none;
}

section.contact textarea:focus{
    outline: none;
}

section.contact .input-wrap{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 2rem;
}

section.contact .input-wrap-2{
    display: flex;
    flex-direction: column;
}

.btn-wrapper{
    text-align: center;
    margin-top: 2rem;
}

footer{
    background: var(--dark);
    text-align: center;
    padding: 3rem 0;
    overflow: hidden;
    width: 100vw;
}

.footer-logo{
    margin-bottom: 2rem;
    width: 150px;   
}

.footer-socials{
    margin-right: -1rem;
}

.footer-socials img{
    width: 30px;
    height: 30px;
    filter: invert(1);
    margin-bottom: 2rem;
    margin-right: 1rem;
}

.tagline{
    font-size: 2rem;
    color: var(--turnary);
}

/* Mobile navigation and media quary------------------ */

@media(max-width:1024px){
    header #main-nav{
        display: none;
    }
    #ham{
        display: block;
    }
    .mobile-logo{
        display: block;
    }

    .hero .left img{
        width: 260px;
    }
    .hero .right h1{
        font-size: 3rem;
    }
    .hero{
        padding-top: 12rem;
    }
    header{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 26.5% 90%, 0 100%);
    }
    section.about .about-img{
        height: 360px;
    }
    section.services .card-wrapper{
        grid-template-columns: repeat(2,1fr);
    }    
    section.work .card-wrapper{
        grid-template-columns: repeat(2,1fr);
    }
    section.blog .card-wrapper{
        grid-template-columns: repeat(1,1fr);
    }
    section.blog .card-wrapper .card img{
        width: 100%;
    }
    section.blog{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 67% 97%, 0 100%);
    }
    section.contact .card-wrapper .card img{
        width: 100px;
    }
}

@media(max-width:576px){
    .hero{
        flex-direction: column;
        padding-bottom: 12rem;
    }
    .hero .left img{
        width: 260px;
    }
    .hero .right h1{
        font-size: 3rem;
    }
    .hero .right{
        position: absolute;
        top: 260px;
        padding: 0 1rem;
        background: linear-gradient(rgba(0,0,0,0),rgba(0,0,0,0.4));
    }
    .hero .left{
        margin-right: -9rem;
        padding-bottom: 12rem;
    }
    .hero{
        padding-top: 3rem;
    }
    header{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 29.5% 93%, 0 100%);
    }
    section.about .container{
        flex-direction: column;
    }
    section.about .flex-1{
        text-align: center;
    }
    section.about .flex-1 p{
        text-align: justify;
    }
    section.about .flex-1 .social{
        justify-content: center;
    }
    section.about .about-img{
        height: 360px;
        margin-bottom: 2rem;
    }
    section{
        padding: 3rem;
        padding-left: 1rem;
        padding-right: 1rem;
    }
    section.services .card-wrapper{
        grid-template-columns: repeat(1,1fr);
        margin-top: -2rem;
    }    

    section.freelancer{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 75% 87.5%, 0 100%);
        padding-bottom: 5rem;
        margin-bottom: 3rem;
    }    
    
    section.work .card-wrapper{
        grid-template-columns: repeat(1,1fr);
        margin-top: -5rem;
    }
    
    section.blog .card-wrapper{
        grid-template-columns: repeat(1,1fr);
        margin-top: -5rem;
    }
    section.blog .card-wrapper .card img{
        width: 100%;
    }
    section.blog{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 67% 97%, 0 100%);
    }
    section.contact .card-wrapper{
        grid-template-columns: repeat(1,1fr);
        grid-gap: 0;
        margin-top: -5rem;
    }
    section.contact .input-wrap{
        grid-template-columns: repeat(1,1fr);
        grid-gap: 0;
    }
}

.site-main-wrapper{
    position: relative;  
}

.hamberger{
    position: absolute;
    top: 40px;
    right: 40px;
    z-index: 2;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
    display: none;
}

.hamberger img{
    width: 30px;
}

.mobile-nav{
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1001;
    background: var(--light);
    opacity: 0.9;
    width: 100vw;
    padding: 2rem;
    padding-top: 5rem;
    transform: translateY(-100%);
    transition: all 0.5s ease-in-out;
}

.mobile-nav-contact{
    width: 50px;
    margin-top: 10em;
    padding: 1px;
}

.open{
    transform: translateX(0);
}

.times{
    position: absolute;
    top: 40px;
    right: 40px;
    z-index: 2;
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
}

.times img{
    width: 30px;
}

.mobile-nav ul{
    list-style-type: none;
    text-align: center;
}

.mobile-nav ul li a{
    color: var(--secondary);
    text-decoration: none;
    font-size: 2rem;
}


@media (min-width: 576px){
    .container{
        max-width: 540px;
    }
}
@media (min-width: 768px){
    .container{
        max-width: 720px;
    }
}
@media (min-width: 992px){
    .container{
        max-width: 960px;
    }
}
@media (min-width: 1200px){
    .container{
        max-width: 1152px;
    }
}